/* File: Anthyphairesis.java
 * 
 * A program that uses Euclid's algorithm to find the
 * greatest common divisor of two numbers.
 */
import acm.program.*;

public class Anthyphairesis extends ConsoleProgram {
	public void run() {
		/* So you can see the math at work! */
		setFont("DejaVuSerif-BOLD-24");
		
		int firstNum  = readInt("Enter a number: ");
		int secondNum = readInt("Enter another number: ");
		
		while (secondNum != 0) {
			int remainder = firstNum % secondNum;
			firstNum = secondNum;
			secondNum = remainder;
		}
		
		println("Greatest common divisor is " + firstNum + "!!1!!");
	}
}
