/*
 * File: RocketLaunch.java
 * 
 * A program that displays the countdown timer from the Apollo 11
 * launch.
 */

import acm.program.*;

public class RocketLaunch extends ConsoleProgram {
	private static final int ONE_SECOND = 1000;
	
	public void run() {
		/* So all y'all in the back can see! */
		setFont("DejaVuSerif-BOLD-24");

		/* Do the launch countdown! */
		for (int i = 30; i > 0; i--) {
			println("T-" + i + " seconds.");

			/* Specific mission commands. */
			if (i == 15) {
				println("Guidance is internal.");
			}
			if (i == 9) {
				println("Ignition sequence start.");
			}
			
			pause(1000);
		}

		println("All engines running. Lift-off!");
	}
}
